
/****************************************************
legal_names.c

legal_SDTS_file_prefix (prefix)
   char *prefix       SDTS prefix to be checked

     returns 1 if name is OK
             0 if not OK:  if it contains anything other than
                            upper-case char, digit, or '_'
                           OR if it more than 4 characters long. 

******************************************************/

legal_SDTS_file_prefix (s)
   char *s;
{
	if (strlen (s) != 4)
	   return 0;

    if (*s == '.' || *s == 0 || *s == '_')
    return 0;

    for ( ; *s; s++)
    {
    if (isalpha (*s))
    {
       if (islower (*s))
        return 0;
    }
    else
    if (!isdigit(*s) && *s != '_')
        return 0;
    }
    return 1;
}

